<?
	  global $app_list_strings;
	  
	  
      $address = str_replace("&lt;","<",str_replace("&gt;",">",$this->parent_name));
      $address = str_replace("&lt;","<",str_replace("&gt;",">",$this->parent_name));
	  if($this->parent_contact_name) {
	  	 $address .= "\n".$this->parent_contact_name;
	  	 if($this->parent_contact_title) {
		 	$address .= "\n".$this->parent_contact_title;
		 }
		 $personplus=5;
	  }
	  else $personplus=0;
 
      if($this->parent_address_street)      $address .= "\n".str_replace("\n","",$this->parent_address_street);
      if($this->parent_address_postalcode) $address .= "\n".$this->parent_address_postalcode;
      if($this->parent_address_city)        $address .= " ".$this->parent_address_city;
      if($this->to_nip)                  $address .= "\n".$mod_strings['LBL_PDF_NIP'].": ".$this->to_nip;
      elseif(!$this->to_nip && $this->to_vatid)                  $address .= "\n".$mod_strings['LBL_PDF_NIP'].": ".$this->to_vatid;
	  $r=$GLOBALS['db']->fetchByAssoc($GLOBALS['db']->query("select iln,vatid,parent_id from accounts where id='".$this->parent_id."'"));
	  if($r['vatid'])$address .= "\nNip: ".$r['vatid'];
	  if($r['iln'])$address .= "\nILN: ".$r['iln'];
	  

	  $roe=$GLOBALS['db']->fetchByAssoc($GLOBALS['db']->query("select so_id from ecmstockdocouts where id='".$this->id."'"));
	  

	  $ship = $GLOBALS['db']->fetchByAssoc($GLOBALS['db']->query("SELECT * FROM ecmsales WHERE id='".$roe['so_id']."'"));
	  
	  if ($ship['shipping_address_street']) {	  		
	  $address_parent = str_replace("&lt;","<",str_replace("&gt;",">",$ship['shipping_address_name']));
      $address_parent .= PHP_EOL.$ship['shipping_address_street'];
      $address_parent .= PHP_EOL.$ship['shipping_address_postalcode'];
      $address_parent .= ' '.$ship['shipping_address_city'];
      if ($ship['shipping_address_country'] && $ship['shipping_address_country']!='' && $ship['shipping_address_country']!='Polska')
      $address_parent .= PHP_EOL.$ship['shipping_address_country'];
	  if($ship['shipping_nip'])$address_parent .= "\nNip: ".$ship['shipping_nip'];
	  if($ship['shipping_iln'])$address_parent .= "\nILN: ".$ship['shipping_iln'];
	  }
	  
      //to address
	  $old_x=$pdf->GetX();
	  $old_y=$pdf->GetY();
	  
	  $pdf->SetXY(25,43);
	  $pdf->SetFont('arialpl', 'B', 8);
	  $pdf->Cell(35,1,"WYSTAWCA:",0,0,'L',1);
	  $pdf->Ln(3);
	  $pdf->SetX(25);
	  $pdf->SetFont('arialpl', '', 8);
	  $r=$GLOBALS['db']->fetchByAssoc($GLOBALS['db']->query("select vatid from accounts where id='".$pdf->edt->account_id."'"));
	  if($r['vatid'])$pdf->edt->header_text .= "\nNip: ".$r['vatid'];
	  if($r['iln'])$pdf->edt->header_text .= "\nILN: ".$r['iln'];
	  $pdf->MultiCell(60,4,$pdf->edt->header_text,0,'L');
	  	  
	  $pdf->SetXY(81,43);
      $pdf->SetFont('arialpl', 'B', 8);
	  $pdf->Cell(35,1,"ODBIORCA:",0,0,'L',1);
	  $pdf->Ln(3);
	  $pdf->SetX(81);
	  $pdf->SetFont('arialpl', '', 8);
      $pdf->MultiCell(60,4,$address,0,'L');
	  
	  $pdf->SetXY(137,43);
      $pdf->SetFont('arialpl', 'B', 8);
	  $pdf->Cell(35,1,"DOSTAWA DO:",0,0,'L',1);
	  $pdf->Ln(3);
	  $pdf->SetX(137);
	  $pdf->SetFont('arialpl', '', 8);
      $pdf->MultiCell(60,4,$address_parent,0,'L');
	  
	  
      $pdf->SetXY(160,$old_y+30+$personplus);
	  
      $table = array(); 
	  
      $table [1]['date_reg'] = array('width' => 20, 'value' => 'Data wystawienia', 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-size' => 8);
      $table [1]['date_reg_value'] = array('width' => 36, 'value' => $this->register_date, 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 8);
	  	  
      $table [2]['stock'] = array('width' => 20, 'value' => "Magazyn", 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-size' => 8);
      $table [2]['stock_value'] = array('width' => 36, 'value' => $this->stock_name, 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 8);
	  	  
      if($this->order_no){
	  	$table [3]['order_no'] = array('width' => 20, 'value' => 'Numer zamówienia', 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-size' => 8);
      	$table [3]['order_no_value'] = array('width' => 36, 'value' => $this->order_no, 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 8);
	  } 	  
      //if($roe['so_id']){
		$roe=mysql_fetch_array(mysql_query("select document_no,delivery_date from ecmsales where id='".$roe['so_id']."'"));
	  	$table [4]['order_no_e'] = array('width' => 20, 'value' => "Nr zamówienia e5", 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-size' => 8);
      	$table [4]['order_no_e_value'] = array('width' => 36, 'value' => $roe['document_no'], 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 8);
	  	$table [5]['order_dd'] = array('width' => 20, 'value' => "Data dostawy", 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-size' => 8);
      	$table [5]['order_dd_value'] = array('width' => 36, 'value' => $GLOBALS['timedate']->to_display_date($roe['delivery_date']), 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 8);
	  //} 
      if($this->order_qty){
	  	$table [6]['order_qty'] = array('width' => 20, 'value' => 'Ilosć', 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-size' => 8);
      	$table [6]['order_qty_value'] = array('width' => 36, 'value' => $this->order_qty, 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 8);
	  }
      if($this->supplier_code){
	  	$table [7]['supplier_code'] = array('width' => 20, 'value' => $mod_strings['LBL_PDF_SUPPLIER_CODE'], 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-size' => 8);
      	$table [7]['supplier_code_value'] = array('width' => 36, 'value' => $this->supplier_code, 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 8);
	  }
	  $table [8]['user'] = array('width' => 20, 'value' => 'Wystawił', 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-size' => 8);
      $table [8]['user_value'] = array('width' => 36, 'value' => $this->setUser()->full_name, 'border' => 0, 'overflow' => 1, 'align' => 'L', 'font-style' => 'b', 'font-size' => 8);
	  
	  $pdf->SetXY(143,$pdf->tMargin);
      $pdf->DrawTable($table, null, 0.5, 0.5, 3);
      

      $pdf->Ln(9);

      $pdf->SetFont('arialpl','','18');
	  $pdf->SetXY(60,$pdf->tMargin+10);
      
	  $pdf->MultiCell(80,7,"Dokument ".$this->document_no,0,'C');
      $pdf->SetFont('arialpl', 'B', 7);
	  $pdf->Ln(3);
	  $pdf->SetX(60);
	  $pdf->Cell(80,1,$mod_strings['LBL_PDF_ORIGINAL_COPY'],0,0,'C',1);
	  
      $this->loadParser();
      $this->header_text = $this->template->mfp->parseText($this->header_text);
      $this->footer_text = $this->template->mfp->parseText($this->footer_text);
      $this->ads_text = $this->template->mfp->parseText($this->ads_text);

      $pdf->SetY($ynew);

      

      
      
      
	  $pdf->SetFont('arialpl','','7');
	  global $mod_strings;
	  
	  
	  $currency = new Currency();
	  $currency->retrieve($this->currency_id);
	  $this->currency_symbol=$currency->iso4217;
	  
      if(!isset($this->position_list) || !is_array($this->position_list))
        $this->position_list = $this->getPositionList(true);
      $calc = $this->calculate($this->position_list,true);
      
      $calc['total'] .= ' '.$this->currency_symbol;
      $calc['subtotal'] .= ' '.$this->currency_symbol;
      if($calc['discount']) {
        $calc['total2'] .= ' '.$this->currency_symbol;
        $calc['discount']['value'] .= ' '.$this->currency_symbol;
      }
      
      if(isset($calc['vats']) && is_array($calc['vats']) && count($calc['vats']) > 0)
        foreach($calc['vats'] as $key => $value) $calc['vats'][$key] .= ' '.$this->currency_symbol;



	  $pdf->Ln(7);
      $name_w = 61;
	  if($_REQUEST['show_price']==1)$name_w-=28;
      $table = array(); 
	  if ($this->id=='ec7f4f9c-f3a1-e138-0ec7-5423dcce4791') {
	  	$recipient_lbl = 'EAN';
	  	$recipient_w = 15;
	  	$name_w-=5;
	  }
	  else {
	  	$recipient_lbl = 'Kod odb.';
      	$recipient_w = 10;
	  }	
	  $table [0]['position'] = array('width' => 5, 'value' => $mod_strings['LBL_PDF_LIST_POSITION'], 'border' => 1,'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
      $table [0]['code'] = array('width' => 12, 'value' => "Index", 'border' => 1,'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
      $table [0]['recipient_code'] = array('width' => $recipient_w, 'value' => $recipient_lbl,'border' => 1,'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
      $table [0]['description'] = array('width' => $name_w, 'value' => $mod_strings['LBL_PDF_LIST_DESCRIPTION'], 'border' => 1,'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
      $table [0]['quantity'] = array('width' => 8, 'value' => $mod_strings['LBL_PDF_LIST_QUANTITY'], 'border' => 1,'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
      $table [0]['unit'] = array('width' => 5, 'value' => 'JM', 'border' => 1,'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
      if($_REQUEST['show_price']==1){
	  	$table [0]['unit_price'] = array('width' => 14, 'value' => $mod_strings['LBL_PDF_LIST_PRICE'], 'border' => 1,'font-style' => 'b', 'overflow' => 1, 'align' => 'C');
      	$table [0]['total'] = array('width' => 14, 'value' => "Suma netto", 'border' => 1,'font-style' => 'b', 'overflow' => 1, 'align' => 'R');
	  }
	  $pdf->SetY(66);
	  $pdf->DrawTable($table,array(0));
	  $pdf->Ln(0);
	  
	  $table=array();
      $i = 1;
	  $lv=return_app_list_strings_language($this->ecmlanguage);

      if($this->position_list != '')
      foreach($this->position_list as $p) {
          $name = str_replace('–', '-', htmlspecialchars_decode($p['name']));
        $table [$i]['position'] = array('width' => 5, 'value' => $i, 'border' => 1, 'align' => 'C', );
        $table [$i]['code'] = array('width' => 12, 'value' => $p['code'], 'border' => 1, 'align' => 'C', );
        $table [$i]['recipient_code'] = array('width' => $recipient_w, 'value' => htmlspecialchars_decode($p['recipient_code']), 'border' => 1, 'align' => 'L', );
        $table [$i]['description'] = array('width' => $name_w, 'value' => $name, 'border' => 1, 'align' => 'L', );
        $table [$i]['quantity'] = array('width' => 8, 'value' => $p['quantity'], 'border' => 1, 'align' => 'C', );
        //$table [$i]['unit'] = array('width' => 5, 'value' => $lv['ecmproducts_unit_dom'][$p['dd_unit_id']], 'border' => 1, 'align' => 'C', 'font-size' => 7 );
        $table [$i]['unit'] = array('width' => 5, 'value' => 'szt.', 'border' => 1, 'align' => 'C', 'font-size' => 7 );
      	if($_REQUEST['show_price']==1){
        	$table [$i]['unit_price'] = array('width' => 14, 'value' => format_number($p['price']).' '.$this->currency_symbol, 'border' => 1, 'align' => 'C', );
        	$table [$i]['total'] = array('width' => 14, 'value' => format_number($p['total']).' '.$this->currency_symbol, 'border' => 1, 'align' => 'R', );
		}
        $i++;
      }
      $pdf->DrawTable($table,array(0));
	  

      $pdf->Ln(4);
      $pr = ($pdf->fw-$pdf->lMargin-$pdf->rMargin)/100;
      $table = array();    

      if($calc['vats']) {  
        $table [] = array(
          'subtotal1' => array('width' => 13,'font-style' => 'b', 'value' => "Suma netto", 'border' => 1, 'overflow' => 1, 'align' => 'L', 'font-size' => 9),
          'subtotal2' => array('width' => 28, 'value' => $calc['subtotal'], 'border' => 1, 'overflow' => 1, 'align' => 'R', 'font-size' => 9),
		);

        foreach($calc['vats'] as $key => $value){
		  $r=mysql_fetch_array(mysql_query("select name from ecmvats where id='".$key."'"));
		  $vvn=$r['name'];
          $table [] = array(
            'vat1' => array('width' => 13,'font-style' => 'b', 'value' => $mod_strings['LBL_PDF_VAT'].' ('.$vvn.')','border' => 1, 'overflow' => 1, 'align' => 'L', 'font-size' => 9),
            'vat2' => array('width' => 28, 'value' => $value, 'border' => 1, 'overflow' => 1, 'align' => 'R', 'font-size' => 9)
		  );
		}
      }

      $table [] = array(
        'total1' => array('width' => 13,'font-style' => 'b', 'value' => "Suma brutto",'border' => 1, 'overflow' => 1, 'align' => 'L', 'font-size' => 9, 'font-style' => 'b'),
        'total2' => array('width' => 28, 'value' => $calc['total'], 'border' => 1, 'overflow' => 1, 'align' => 'R' , 'font-size' => 9, 'font-style' => 'b'),
	  );
      
	  if($pdf->GetY()+30>$pdf->fh-$pdf->bMargin)$pdf->AddPage();
	  $pdf->SetX(127);
      if($_REQUEST['show_price']==1)$pdf->DrawTable($table);
?>